Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Interface NamespaceResolver

All Known Implementing Classes:
  ConstraintChecker, DummyNamespaceResolver, IDFilter, IndependentContext, InscopeNamespaceResolver, JAXPXPathStaticContext, NamespaceContextImpl, NamespaceReducer, PullNamespaceReducer, SavedNamespaceContext, StartTagBuffer, WatchManager

    public interface NamespaceResolver

Abstract class that supports lookup of a lexical QName to get the expanded QName. This extends the JAXP NamespaceContext interface with some Saxon-specific methods, which must be supplied in a concrete implementation.

Method Summary
`String` | `getURIForPrefix(String prefix, boolean useDefault)` Get the namespace URI corresponding to a given prefix.
`Iterator` | `iteratePrefixes()` Get an iterator over all the prefixes declared in this namespace context.

Method Detail

### getURIForPrefix

    String getURIForPrefix(String prefix,
                           boolean useDefault)

  Get the namespace URI corresponding to a given prefix. Return null if the prefix is not in scope.

  Parameters:
    `prefix` - the namespace prefix. May be the zero-length string, indicating that there is no prefix. This indicates either the default namespace or the null namespace, depending on the value of useDefault.
    `useDefault` - true if the default namespace is to be used when the prefix is "". If false, the method returns "" when the prefix is "".
  Returns:
    the uri for the namespace, or null if the prefix is not in scope. The "null namespace" is represented by the pseudo-URI "".

### iteratePrefixes

    Iterator iteratePrefixes()

  Get an iterator over all the prefixes declared in this namespace context. This will include the default namespace (prefix="") and the XML namespace where appropriate

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.